import React from 'react';
import { ElementMarkdownClient } from './ElementMarkdownClient';
import { resolveDynamicBinding } from './dynamic';
export function ElementMarkdown(props) {
    const { element, context, state } = props;
    const Markdown = context.markdown;
    const initialMarkdown = resolveDynamicBinding(state, element.content);
    async function renderMarkdown(markdown) {
        'use server';
        return React.createElement(Markdown, { className: "contentkit-markdown", markdown: markdown });
    }
    return (React.createElement(ElementMarkdownClient, { element: element, initialMarkdown: initialMarkdown !== element.content ? initialMarkdown : undefined, renderMarkdown: renderMarkdown },
        React.createElement(Markdown, { className: "contentkit-markdown", markdown: initialMarkdown })));
}
